mahout-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dror Mizrachi (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (MAHOUT-1071) Mahout-0.7 is not running on Hadoop 0.23 CDH4-MR1
Date Thu, 20 Sep 2012 08:23:07 GMT

     [ https://issues.apache.org/jira/browse/MAHOUT-1071?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dror Mizrachi updated MAHOUT-1071:
----------------------------------

    Description: 
Hi 

I'm using Mahout-0.7-job.jar on Hadoop-0.23(CDH4-MR1). I got the below exception.
Note: org.apache.hadoop.mapreduce.JobContext is an Interface on 0.23 while it was class on
0.20.x
It seems that Mahout-0.7 is still incompatible with Hadoop-0.23 related to this class/interface
and maybe for other classes that have been changed in 0.23 vs. 0.20.x

Please advice / fix is ASAP.

Thanks in advance :-)

Dror
-------------------

Exception in thread "main" java.lang.IncompatibleClassChangeError: Found interface org.apache.hadoop.mapreduce.JobContext,
but class was expected
        at org.apache.mahout.common.HadoopUtil.getCustomJobName(HadoopUtil.java:166)
        at org.apache.mahout.common.AbstractJob.prepareJob(AbstractJob.java:579)
        at org.apache.mahout.cf.taste.hadoop.preparation.PreparePreferenceMatrixJob.run(PreparePreferenceMatrixJob.java:75)
        at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
        at org.apache.mahout.cf.taste.hadoop.item.RecommenderJob.run(RecommenderJob.java:154)
        at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
       ...


  was:
Hi 

I'm using Mahout-0.7-job.jar on Hadoop-0.23(CDH4-MR1). I got the below exception.
Note: org.apache.hadoop.mapreduce.JobContext is an Interface on 0.23 while it was class on
0.20.x
It seems that Mahout-0.7 is still incompatible with Hadoop-0.23 related to this class/interface
and maybe for other classes that have been changed in 0.23 vs. 0.20.x

Please advice / fix is ASAP.

Thanks in advance :-)

Dror
-------------------

Exception in thread "main" java.lang.IncompatibleClassChangeError: Found interface org.apache.hadoop.mapreduce.JobContext,
but class was expected
        at org.apache.mahout.common.HadoopUtil.getCustomJobName(HadoopUtil.java:166)
        at org.apache.mahout.common.AbstractJob.prepareJob(AbstractJob.java:579)
        at org.apache.mahout.cf.taste.hadoop.preparation.PreparePreferenceMatrixJob.run(PreparePreferenceMatrixJob.java:75)
        at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
        at org.apache.mahout.cf.taste.hadoop.item.RecommenderJob.run(RecommenderJob.java:154)
        at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
        at com.intel.cooccurence.BuildCoOccurenceMatrixJob.runRecommendationJob(BuildCoOccurenceMatrixJob.java:54)
        at com.intel.cooccurence.BuildCoOccurenceMatrixJob.run(BuildCoOccurenceMatrixJob.java:31)
        at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
        at com.intel.algoritms.RecommendationAlgorithms.runAlgorithm(RecommendationAlgorithms.java:44)
        at com.intel.engines.RecommendationEngine.run(RecommendationEngine.java:39)
        at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
        at com.intel.engines.RecommendationEngine.main(RecommendationEngine.java:17)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.apache.hadoop.util.RunJar.main(RunJar.java:208)




    
> Mahout-0.7 is not running on Hadoop 0.23 CDH4-MR1
> -------------------------------------------------
>
>                 Key: MAHOUT-1071
>                 URL: https://issues.apache.org/jira/browse/MAHOUT-1071
>             Project: Mahout
>          Issue Type: Bug
>         Environment: Hadoop-0.23 CDH4-MR1
>            Reporter: Dror Mizrachi
>            Priority: Critical
>
> Hi 
> I'm using Mahout-0.7-job.jar on Hadoop-0.23(CDH4-MR1). I got the below exception.
> Note: org.apache.hadoop.mapreduce.JobContext is an Interface on 0.23 while it was class
on 0.20.x
> It seems that Mahout-0.7 is still incompatible with Hadoop-0.23 related to this class/interface
and maybe for other classes that have been changed in 0.23 vs. 0.20.x
> Please advice / fix is ASAP.
> Thanks in advance :-)
> Dror
> -------------------
> Exception in thread "main" java.lang.IncompatibleClassChangeError: Found interface org.apache.hadoop.mapreduce.JobContext,
but class was expected
>         at org.apache.mahout.common.HadoopUtil.getCustomJobName(HadoopUtil.java:166)
>         at org.apache.mahout.common.AbstractJob.prepareJob(AbstractJob.java:579)
>         at org.apache.mahout.cf.taste.hadoop.preparation.PreparePreferenceMatrixJob.run(PreparePreferenceMatrixJob.java:75)
>         at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
>         at org.apache.mahout.cf.taste.hadoop.item.RecommenderJob.run(RecommenderJob.java:154)
>         at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:70)
>        ...

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message